import { ComponentFixture, TestBed } from '@angular/core/testing';

import { HeatResourceTypeDetailsOverviewComponent } from './heat-resource-type-details-overview.component';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { RouterTestingModule } from '@angular/router/testing';

describe('HeatResourceTypeDetailsOverviewComponent', () => {
  let component: HeatResourceTypeDetailsOverviewComponent;
  let fixture: ComponentFixture<HeatResourceTypeDetailsOverviewComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [HeatResourceTypeDetailsOverviewComponent],
      imports: [HttpClientTestingModule, RouterTestingModule,],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(HeatResourceTypeDetailsOverviewComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
